"use strict";
(function ($) {
    $.block_testimonial_carousel = function (element, options) {
        let defaults = {
            row_state_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#owl-carousel').owlCarousel({
                loop: true,
                margin: 30,
                dots: false,
                nav: false,
                items: 3,
            })
        }
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.block_testimonial_carousel = function (options) {
        return this.each(function () {
            if (undefined === $(this).data('block_testimonial_carousel')) {
                let plugin = new $.block_testimonial_carousel(this, options);
                $(this).data('block_testimonial_carousel'
                    , plugin);
            }
        });
    }
})(jQuery);
